Issue 59287 - OOo fails to request proxy authentication / proxy configuration scripts not supported
Summary: OOo fails to request proxy authentication / proxy configuration scripts not s...
Status: REOPENED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: OOo 2.0
Hardware: All All
: P3 Trivial with 5 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: needmoreinfo
Depends on:
Blocks:
 
Reported: 2005-12-13 13:10 UTC by norbert2
Modified: 2013-02-07 21:59 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
proxy configuration script (491 bytes, text/plain)
2005-12-19 07:10 UTC, norbert2
no flags Details
OOo config 1 (46.66 KB, image/gif)
2005-12-19 07:11 UTC, norbert2
no flags Details
OOo config 2 (49.62 KB, image/gif)
2005-12-19 07:11 UTC, norbert2
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description norbert2 2005-12-13 13:10:07 UTC
I cannot get internet access with OOo at work. In IE or Firefoy I can insert an
URL containing a proxy configuration script. But OOo does not support proxy
configuration scripts.

Even if I insert the proxy settings manual it does not work, while I got working
proxy access for all other programs I have tried!

Is the problem that OOo does not support proxy authentication?
Comment 1 norbert2 2005-12-13 13:12:39 UTC
Proxy-Server = System

does not work too.

I guess In case of Windows-OS this setting should use IE's settings, shouldn't
it? (IE is set to use a proxy configuration script.)
Comment 2 thorsten.martens 2005-12-16 14:22:56 UTC
TM->norbert2: please provide more information about the exact proxy-settings
within OOo´s internet options tabpage. (like: which proxys and which ports are
used for each of the proxy types ? which entries are in the no-proxy list ?).
Comment 3 norbert2 2005-12-19 07:10:06 UTC
IE is configured to use the attached proxy script.

I have attached 2 cofigurations of OOo that do not work.

Is it possible that OOo does not support all types of commonly used proxies?

(I think I had to set a "special" proy method for a download manager some time 
ago. I will check this again if I find the time.)
Comment 4 norbert2 2005-12-19 07:10:48 UTC
Created attachment 32543 [details]
proxy configuration script
Comment 5 norbert2 2005-12-19 07:11:09 UTC
Created attachment 32544 [details]
OOo config 1
Comment 6 norbert2 2005-12-19 07:11:29 UTC
Created attachment 32545 [details]
OOo config 2
Comment 7 norbert2 2005-12-19 11:34:59 UTC
I just have done some testes with the Download-Manager NetTransport. So I can
give you a log of the http negotiating; see below:

I still think the problem is proxy authentication: I cannot insert username and
password anywhere in OOo's settings.

Firefox and IE open a username/password request window. In NetTransport I can
specify them in the settings. But what to do with proxy username/password in OOo?

It also looks like there are 2 versions of http proxies existing. NetTransport
calls them "http <Connect>" and "http <Get>". The second one is the one that
works for this case.




Here is the http log of NetTransport (I have tried to seperate requests and
responses with linebreaks):


Verbinde Proxy mit deesdmz09.dmz.es.de.ifm:3128
Verbinde Proxy mit 10.168.100.57:3128

Verbunden

GET http://download.mozilla.org/?product=firefox-1.5&os=win&lang=de HTTP/1.1
Accept: */*
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 1.1.4322)
Host: download.mozilla.org
Proxy-Connection: Keep-Alive

HTTP/1.0 407 Proxy Authentication Required
Server: squid/2.5.STABLE9
Mime-Version: 1.0
Date: Mon, 19 Dec 2005 13:36:03 GMT
Content-Type: text/html
Content-Length: 1353
Expires: Mon, 19 Dec 2005 13:36:03 GMT
X-Squid-Error: ERR_CACHE_ACCESS_DENIED 0
Proxy-Authenticate: Basic realm="Internet Gateway ifm electronic gmbh Essen"
X-Cache: MISS from proxy.dmz.es.de.ifm
Proxy-Connection: keep-alive

GET http://download.mozilla.org/?product=firefox-1.5&os=win&lang=de HTTP/1.1
Proxy-Authorization: Basic ZGVub3R6bm86bm9yYmVydDMyMQ==
Accept: */*
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 1.1.4322)
Host: download.mozilla.org
Proxy-Connection: Keep-Alive

HTTP/1.0 302 Moved Temporarily
Date: Mon, 19 Dec 2005 11:17:51 GMT
Server: Apache/2.0.54 (Gentoo/Linux) PHP/4.4.0-pl1-gentoo
X-Powered-By: PHP/4.4.0-pl1-gentoo
Location:
http://www.sdpulse.com/mozilla//firefox/releases/1.5/win32/de/Firefox%20Setup%201.5.exe
Content-Length: 0
Content-Type: text/html; charset=ISO-8859-1
X-Cache: MISS from proxy.dmz.es.de.ifm
Proxy-Connection: keep-alive

Umleitung nach
http://www.sdpulse.com/mozilla//firefox/releases/1.5/win32/de/Firefox%20Setup%201.5.exe

Verbinde Proxy mit deesdmz09.dmz.es.de.ifm:3128
Verbinde Proxy mit 10.168.100.57:3128

Verbunden

GET
http://www.sdpulse.com/mozilla//firefox/releases/1.5/win32/de/Firefox%20Setup%201.5.exe
HTTP/1.1
Accept: */*
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 1.1.4322)
Host: www.sdpulse.com
Proxy-Connection: Keep-Alive

HTTP/1.0 407 Proxy Authentication Required
Server: squid/2.5.STABLE9
Mime-Version: 1.0
Date: Mon, 19 Dec 2005 13:36:04 GMT
Content-Type: text/html
Content-Length: 1527
Expires: Mon, 19 Dec 2005 13:36:04 GMT
X-Squid-Error: ERR_CACHE_ACCESS_DENIED 0
Proxy-Authenticate: Basic realm="Internet Gateway ifm electronic gmbh Essen"
X-Cache: MISS from proxy.dmz.es.de.ifm
Proxy-Connection: keep-alive

GET
http://www.sdpulse.com/mozilla//firefox/releases/1.5/win32/de/Firefox%20Setup%201.5.exe
HTTP/1.1
Proxy-Authorization: Basic ZGVub3R6bm86bm9yYmVydDMyMQ==
Accept: */*
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 1.1.4322)
Host: www.sdpulse.com
Proxy-Connection: Keep-Alive

HTTP/1.0 200 OK
Date: Mon, 19 Dec 2005 12:33:04 GMT
Server: Apache
Last-Modified: Tue, 29 Nov 2005 00:49:05 GMT
ETag: "b0a13-4f2158-9623a240"
Accept-Ranges: bytes
Content-Length: 5185880
Content-Type: application/x-msdos-program
X-Cache: MISS from proxy.dmz.es.de.ifm

Proxy-Connection: keep-alive

Starte Datenempang
Comment 8 norbert2 2005-12-19 11:51:58 UTC
In another company - where I did a practical course - that used proxy 
authentication, too, I was also uable to get working proxy access in OOo.

If OOo really does not support proxy authentication, this should be changed as 
soon as possible!
Comment 9 thorsten.martens 2005-12-19 14:17:09 UTC
TM->KSO: please have a look, thanks !
Comment 10 kai.sommerfeld 2005-12-19 14:44:47 UTC
Generally OOo does support proxy authentication. Other users reported that it
worked for them. 

Andreas, please take care. The real problem for us is that we do not have a test
environment for proxy authentication. 
Comment 11 norbert2 2005-12-19 14:47:14 UTC
I use DicOOo to check if internet connection works.

An interesting fact is that with activated proxy (as shown in the attached 
screenshot "OOo config 2") the connection retries run much faster than with 
disabled proxy.

This makes me believe that OOo can physically connect to the proxy but cannot 
authenticate.
Comment 12 kai.sommerfeld 2005-12-19 14:52:09 UTC
Some more comments: 

- Desired behavior is that OOo once displays a login dialog asking for username
and password for the proxy server. 
- There is no possibility to enter proxy authentication information somewhere in
the user settings of OOo. This might get considered a missing feature, but is
unrelated to this issue.

KSO->ABI:
- One of the potential problems that we might have here is a missing Interaction
Handler.
Comment 13 norbert2 2005-12-19 14:54:57 UTC
"Generally OOo does support proxy authentication."

How can the users specify the username and password? Should OOo open a request 
window?
Comment 14 norbert2 2005-12-19 14:59:21 UTC
I would prefer edit fields in the proxy settings for username/password instead 
of popup request window.

Furtheron support for proxy configuration scripts should be implemented. But 
that's another issue.
Comment 15 norbert2 2005-12-20 07:41:38 UTC
It looks like other users have similar problems:
http://www.nabble.com/OpenOffice-freeze-(Proxy-problem)-t550392.html

quotation from there:

"We have a Windows network and not a direct connection to the internet, 
but we have web-access throu a proxy. I tried to set the proxy settings 
to manual (with the correct data in the fields) and i tried to set it to 
system, but nothink works."

(But it looks like that user would mean that this is a regression bug of OOo 2.0

As far as I remember I had the same problems with OOo 1.x versions; so I don't 
think that this is a regression. But I have not tested OOo 1.x recently.)
Comment 16 andreas.bille 2006-05-24 17:21:00 UTC
accepted
Comment 17 norbert2 2006-10-18 21:26:24 UTC
Please also have a look at issue 54267.

Is it possible to set a target for this major problem?
Comment 18 andreas.bille 2006-10-19 15:29:34 UTC
I'll set it to 2.2 - if time, I will try to have a look in 2.1 time frame also.
Comment 19 pavel 2007-01-15 19:21:51 UTC
abi?
Comment 20 pavel 2007-01-22 10:02:44 UTC
Move target to 2.3.
Comment 21 andreas.bille 2007-04-04 13:48:03 UTC
ABI->KSO: As discussed ...
Comment 22 kai.sommerfeld 2007-04-05 09:06:53 UTC
kso->norbert2: I just did a quick check with OOo 2.2. As said, OOo generally
supports proxy authentication. In order to be able to track down your problem I
need more information. Please use a packet sniffer (like Ethereal) to record the
HTTP traffic between OOo and the proxy and send the issue back to me. I will see
what I can do, then.
Comment 23 norbert2 2007-04-11 21:33:13 UTC
"Generally OOo does support proxy authentication. Other users reported that it
worked for them."


Where can I specify username and password??????
Comment 24 norbert2 2007-09-17 20:43:53 UTC
I think I found the problem:

Since I have replaced the proxy name with it's IP-address it works!!!

It looks like OOo fails to resolve names of proxy servers.
So the bug has nothing to do with proxy authentication.

(Where does OOo gets proxy information from (under Windows platform) if "System"
is selected in the settings? From IE? "System" does not work for me. Maybe this
problem has the same reason: In IE I have set (like in OOo until now) the
Proxy's name instead of the IP address.)
Comment 25 norbert2 2007-09-17 20:49:27 UTC
(Issue 54267 seems to be a duplicate of this issue.)
Comment 26 stefan.baltzer 2008-11-18 21:38:10 UTC
SBA->norbert2: Is this still valid in OOo 3.0?
Please comment, thx.
Comment 27 stefan.baltzer 2008-11-18 21:40:00 UTC
Set to Worksforme.
Comment 28 norbert2 2008-11-19 05:50:33 UTC
I don't think that it has been changed in OOo 3.0. But I have no possibility to
check it now.

WORKSFORME is not a good idea.
Comment 29 Mechtilde 2008-12-06 20:22:22 UTC
worksforme -> closed
Comment 30 zenshaolin 2009-10-28 10:55:35 UTC
Hi, same trouble here!
Using a PAC file, and need an authentification.
But OOo doesn't display any dialogue box to authenticate me on proxy.

Why OOo does not support proxy configuration scripts?

So, re-open this issue please
Comment 31 norbert2 2009-10-28 11:20:25 UTC
Reopening issue as requested by zenshaolin.
Comment 32 zenshaolin 2009-10-28 20:21:07 UTC
Thanks norbert2.

Issue confirmed in 3.1.1, on ubuntu and win xp
Comment 33 broucaries 2010-01-14 13:58:58 UTC
Could you use libproxy ? (http://code.google.com/p/libproxy)

It will ease the portability.

Bastien
Comment 34 honfui 2010-09-06 03:11:17 UTC
Still a problem in version 3.4 dev (DEV300_m87). :(
Comment 35 honfui 2010-10-27 01:37:52 UTC
This is almost 5 years old annoyances. It is a blocker for me to use openoffice
in my office. 
Comment 36 pnicolas 2011-08-22 10:33:59 UTC
Same issue in OOo 330m20 (build 9567) at work...

I'm using Exists descriptor to test URL access in a program

code :

oExists = createUnoService("com.sun.star.ucb.SimpleFileAccess")
.
.

file = OExists.Exists(URLrecep)
if  file then 
.
.
else
.
.
end if


Code is working properly at home with my personal ISP (direct connexion without proxy).

At work, Both IE and Firefox proxy set proxy.mazet.fr port 8080 

Test with Proxy set to MANUAL with proxy.mazet.fr port 8080 in OOo Proxy configuration Tab
Test with Proxy set to SYSTEM in Ooo proxy configuration tab

no authentication window prompt to set user/password to pass through proxy configuration.
no proxy configuration tab to set proxy user/password.

How can I set user/password to authenticate on office proxy ?